IndexedPropertyDescriptor (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class IndexedPropertyDescriptor

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--java.beans.PropertyDescriptor
                  |
                  +--java.beans.IndexedPropertyDescriptor

public class IndexedPropertyDescriptor
extends PropertyDescriptor

An IndexedPropertyDescriptor describes a property that acts like an array and has an indexed read and/or indexed write method to access specific elements of the array.

An indexed property may also provide simple non-indexed read and write methods. If these are present, they read and write arrays of the type returned by the indexed read method.

Constructor Summary
`IndexedPropertyDescriptor(String propertyName, Class beanClass)` This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.
`IndexedPropertyDescriptor(String propertyName, Class beanClass, String getterName, String setterName, String indexedGetterName, String indexedSetterName)` This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.
`IndexedPropertyDescriptor(String propertyName, Method getter, Method setter, Method indexedGetter, Method indexedSetter)` This constructor takes the name of a simple property, and Method objects for reading and writing the property.

Method Summary
`boolean` | `equals(Object obj)` Compares this `PropertyDescriptor` against the specified object.
`Class` | `getIndexedPropertyType()` Gets the Class object of the indexed properties' type.
`Method` | `getIndexedReadMethod()` Gets the method that should be used to read an indexed property value.
`Method` | `getIndexedWriteMethod()` Gets the method that should be used to write an indexed property value.
`void` | `setIndexedReadMethod(Method getter)` Sets the method that should be used to read an indexed property value.
`void` | `setIndexedWriteMethod(Method setter)` Sets the method that should be used to write an indexed property value.

Methods inherited from class java.beans.PropertyDescriptor
`getPropertyEditorClass, getPropertyType, getReadMethod, getWriteMethod, isBound, isConstrained, setBound, setConstrained, setPropertyEditorClass, setReadMethod, setWriteMethod`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedPropertyDescriptor

    public IndexedPropertyDescriptor(String propertyName,
                                     Class beanClass)
                              throws IntrospectionException

  This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.

  Thus if the argument name is "fred", it will assume that there is an indexed reader method "getFred", a non-indexed (array) reader method also called "getFred", an indexed writer method "setFred", and finally a non-indexed writer method "setFred".

Parameters:
  `propertyName` - The programmatic name of the property.
  `beanClass` - The Class object for the target bean.
Throws:
  `IntrospectionException` - if an exception occurs during introspection.

### IndexedPropertyDescriptor

    public IndexedPropertyDescriptor(String propertyName,
                                     Class beanClass,
                                     String getterName,
                                     String setterName,
                                     String indexedGetterName,
                                     String indexedSetterName)
                              throws IntrospectionException

  This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.

Parameters:
  `propertyName` - The programmatic name of the property.
  `beanClass` - The Class object for the target bean.
  `getterName` - The name of the method used for reading the property values as an array. May be null if the property is write-only or must be indexed.
  `setterName` - The name of the method used for writing the property values as an array. May be null if the property is read-only or must be indexed.
  `indexedGetterName` - The name of the method used for reading an indexed property value. May be null if the property is write-only.
  `indexedSetterName` - The name of the method used for writing an indexed property value. May be null if the property is read-only.
Throws:
  `IntrospectionException` - if an exception occurs during introspection.

### IndexedPropertyDescriptor

    public IndexedPropertyDescriptor(String propertyName,
                                     Method getter,
                                     Method setter,
                                     Method indexedGetter,
                                     Method indexedSetter)
                              throws IntrospectionException

  This constructor takes the name of a simple property, and Method objects for reading and writing the property.

Parameters:
  `propertyName` - The programmatic name of the property.
  `getter` - The method used for reading the property values as an array. May be null if the property is write-only or must be indexed.
  `setter` - The method used for writing the property values as an array. May be null if the property is read-only or must be indexed.
  `indexedGetter` - The method used for reading an indexed property value. May be null if the property is write-only.
  `indexedSetter` - The method used for writing an indexed property value. May be null if the property is read-only.
Throws:
  `IntrospectionException` - if an exception occurs during introspection.

Method Detail

### getIndexedReadMethod

    public Method getIndexedReadMethod()

  Gets the method that should be used to read an indexed property value.

  Returns:
    The method that should be used to read an indexed property value. May return null if the property isn't indexed or is write-only.

### setIndexedReadMethod

    public void setIndexedReadMethod(Method getter)
                              throws IntrospectionException

  Sets the method that should be used to read an indexed property value.

  Parameters:
    `getter` - The new indexed getter method.
    `IntrospectionException`

### getIndexedWriteMethod

    public Method getIndexedWriteMethod()

  Gets the method that should be used to write an indexed property value.

  Returns:
    The method that should be used to write an indexed property value. May return null if the property isn't indexed or is read-only.

### setIndexedWriteMethod

    public void setIndexedWriteMethod(Method setter)
                               throws IntrospectionException

  Sets the method that should be used to write an indexed property value.

    `IntrospectionException`

### getIndexedPropertyType

    public Class getIndexedPropertyType()

  Gets the Class object of the indexed properties' type. This is the type that will be returned by the indexedReadMethod.

  Returns:
    The Java Class for the indexed properties type. Note that the Class may describe a primitive Java type such as "int".

### equals

    public boolean equals(Object obj)

  Compares this `PropertyDescriptor` against the specified object. Returns true if the objects are the same. Two `PropertyDescriptor`s are the same if the read, write, property types, property editor and flags are equivalent.

  Overrides:
    `equals` in class `PropertyDescriptor`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  Since:
    1.4
  See Also:
    `Object.hashCode()`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.